> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasschedulemessage.md).

# Set-RASScheduleMessage.md

## NAME

Set-RASScheduleMessage

## SYNOPSIS

Modifies a Schedule Message from a Schedule Item.

## SYNTAX

**Set-RASScheduleMessage** \[[Id](#id-string)] *(uint)* -[MessageId](#messageid-string) *(uint)* -[ObjType](#objtype) {RDS | VDI | AVD} \[[Enabled](#enabled-string) *(bool)*] \[[Message](#message-string) *(string)*] \[[MessageTitle](#messagetitle-string) *(string)*] \[[SendMsgSecs](#sendmsgsecs-string) *(uint)*] \[-[SendMsgWhen](#SendMsgWhen) {Before | After}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASScheduleMessage** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[MessageId](#messageid-string) *(uint)* -[ObjType](#objtype) {RDS | VDI | AVD} \[[Enabled](#enabled-string) *(bool)*] \[[Message](#message-string) *(string)*] \[[MessageTitle](#messagetitle-string) *(string)*] \[[SendMsgSecs](#sendmsgsecs-string) *(uint)*] \[-[SendMsgWhen](#SendMsgWhen) {Before | After}] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies a Schedule Message from a Schedule Item.

## PARAMETERS

## MessageId (uint)

Scheduler job message ID.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Whether to enable or disable the message.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MessageTitle (string)

The title of the message.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Message (string)

A message that should be sent to users before the job starts.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SendMsgSecs (uint)

Time interval in seconds before the job starts when the message to users should be sent.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SendMsgWhen ([SendMsgWhen](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/sendmsgwhen.md))

Whether the message is sent Before/After the schedule is triggered.

SendMsgWhen can only be set to After in the case of Reboot.

Possible values: Before, After

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

Scheduler job name.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID to modify the schedule job.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

Scheduler job ID.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([ScheduleObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/scheduleobjtype.md))

Schedule message object type.

Possible values: RDS, VDI, AVD

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASScheduleMessage -ObjType VDI -Name "SchedItem" -Enabled 0 -SendMsgSecs 60 -SendMsgWhen Before -MessageTitle "messageTitle" -Message "messageBody"

Modifies the specified message by id within the specified schedule item by name.\
\*\*---------- EXAMPLE 2 ----------

Set-RASScheduleMessage -ObjType VDI -Id 1 -MessageId 1 -Enabled 0 -SendMsgSecs 60 -SendMsgWhen Before -MessageTitle "messageTitle" -Message "messageBody"

Modifies the specified message by id within the specified schedule item by id.

## RELATED LINKS

* [Get-RASSchedule](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasschedule.md)
* [Add-RASScheduleMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasschedulemessage.md)
* [Get-RASScheduleMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasschedulemessage.md)
* [Remove-RASScheduleMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasschedulemessage.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasschedulemessage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
